6

I installed subversive 4.0.5 and when connector installation screen pops up I select SVN Kit 1.8.14 from the list. All I get after that is a blink of some window and that's it. After I restart my Eclipse it prompts me to install the connector again and after I repeat the steps the problem happens exactly the same way. So I'm stuck.


  • Welcome to ServerFault. Are you on Windows? Which one? – chicks Jun 30 '17 at 16:40
  • Same issue here. OS: MacOS Sierra ver 10.12.5. Eclipse Version: Oxygen Release (4.7.0). Java: Oracle Java SE 8 [1.8.0_121]. I have tried re-installing eclipse & switching workspaces, but no luck. – Quest Monger Jul 1 '17 at 18:21
  • I have switched to Subclipse 1.10.13 to keep things going. Its not a drop-in replacement, and i had to re-import all my projects. But it works for my setup. – Quest Monger Jul 2 '17 at 2:03
  • I'm on Win10 Pro – serge Jul 3 '17 at 17:30
  • 1
    Some people installed it by doing "Install New Software" and use community.polarion.com/projects/subversive/download/eclipse/6.0/… – serge Jul 14 '17 at 15:21
0

In the Eclipse error log (Show View -> General -> Error Log) I see a lot of these -

eclipse.buildId=4.7.0.XXXXXXXXX-XXXX
java.version=1.8.0_121
java.vendor=Oracle Corporation
BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=en_US
Framework arguments:  -product org.eclipse.epp.package.java.product -keyring /Users/amurty/.eclipse_keyring
Command-line arguments:  -os macosx -ws cocoa -arch x86_64 -product org.eclipse.epp.package.java.product -keyring /Users/amurty/.eclipse_keyring

org.eclipse.team.svn.core.svnnature
Error
Sat Jul 01 14:15:42 EDT 2017
SVN: 'SVN Decorator' operation finished with error
eclipse.buildId=4.7.0.XXXXXXXXX-XXXX
java.version=1.8.0_121
java.vendor=Oracle Corporation
BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=en_US
Framework arguments:  -product org.eclipse.epp.package.java.product -keyring /Users/amurty/.eclipse_keyring
Command-line arguments:  -os macosx -ws cocoa -arch x86_64 -product org.eclipse.epp.package.java.product -keyring /Users/amurty/.eclipse_keyring

org.eclipse.team.svn.core.svnnature
Error
Sat Jul 01 14:15:42 EDT 2017
SVN: 'SVN Decorator' operation finished with error: Selected SVN connector library is not available or cannot be loaded.
If you selected native JavaHL connector, please check if binaries are available or install and select pure Java Subversion connector from the plug-in connectors update site.
If connectors already installed then you can change the selected one at: Window->Preferences->Team->SVN->SVN Connector.

org.eclipse.team.svn.core.operation.UnreportableException: Selected SVN connector library is not available or cannot be loaded.
If you selected native JavaHL connector, please check if binaries are available or install and select pure Java Subversion connector from the plug-in connectors update site.
If connectors already installed then you can change the selected one at: Window->Preferences->Team->SVN->SVN Connector.
    at org.eclipse.team.svn.core.extension.factory.ISVNConnectorFactory$1.createConnector(ISVNConnectorFactory.java:118)
    at org.eclipse.team.svn.core.SVNTeamProvider.uploadRepositoryResource(SVNTeamProvider.java:280)
    at org.eclipse.team.svn.core.SVNTeamProvider.connectToProject(SVNTeamProvider.java:181)
    at org.eclipse.team.svn.core.SVNTeamProvider.getRepositoryResource(SVNTeamProvider.java:85)
    at org.eclipse.team.svn.core.svnstorage.SVNRemoteStorage.loadLocalResourcesSubTreeSVNImpl(SVNRemoteStorage.java:812)
    at org.eclipse.team.svn.core.svnstorage.SVNRemoteStorage.loadLocalResourcesSubTree(SVNRemoteStorage.java:689)
    at org.eclipse.team.svn.core.svnstorage.SVNRemoteStorage.asLocalResourceImpl(SVNRemoteStorage.java:458)
    at org.eclipse.team.svn.core.svnstorage.SVNRemoteStorage.asLocalResource(SVNRemoteStorage.java:446)
    at org.eclipse.team.svn.ui.decorator.SVNLightweightDecorator.decorateResource(SVNLightweightDecorator.java:271)
    at org.eclipse.team.svn.ui.decorator.SVNLightweightDecorator.decorate(SVNLightweightDecorator.java:192)
    at org.eclipse.ui.internal.decorators.LightweightDecoratorDefinition.decorate(LightweightDecoratorDefinition.java:253)
    at org.eclipse.ui.internal.decorators.LightweightDecoratorManager$LightweightRunnable.run(LightweightDecoratorManager.java:104)
    at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
    at org.eclipse.ui.internal.decorators.LightweightDecoratorManager.decorate(LightweightDecoratorManager.java:377)
    at org.eclipse.ui.internal.decorators.LightweightDecoratorManager.getDecorations(LightweightDecoratorManager.java:359)
    at org.eclipse.ui.internal.decorators.DecorationScheduler$1.ensureResultCached(DecorationScheduler.java:347)
    at org.eclipse.ui.internal.decorators.DecorationScheduler$1.run(DecorationScheduler.java:311)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:56)

protected by Community Jun 30 '17 at 13:22

Thank you for your interest in this question. Because it has attracted low-quality or spam answers that had to be removed, posting an answer now requires 10 reputation on this site (the association bonus does not count).

Would you like to answer one of these unanswered questions instead?

Not the answer you're looking for? Browse other questions tagged or ask your own question.